Page MenuHomePhabricator

There is no easy way to file a Task from a Project page
Closed, ResolvedPublic

Description

When I visit a Project page, I often do so because I want to phile a Task for that project. I wish there was a "Create Task" option that would let me start a task with the Project already tagged. Instead I have to start from the + icon in the top bar: + > Create New... > Task, and then I still have to manually add the project tag.

(By contrast, workboards have an option to add a task to a column which does prepopulate the Project field.)

Event Timeline

Ragesoss created this task.Mar 6 2015, 10:28 PM
Ragesoss raised the priority of this task from to Needs Triage.
Ragesoss updated the task description. (Show Details)
Ragesoss added a project: Phabricator.
Ragesoss added a subscriber: Ragesoss.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 6 2015, 10:28 PM
Aklapper renamed this task from There is no easy way to phile a Task from a Project page to There is no easy way to file a Task from a Project page.Mar 7 2015, 8:16 AM
Aklapper triaged this task as Lowest priority.
Aklapper edited projects, added Phabricator (Upstream); removed Phabricator.
Aklapper set Security to None.
Qgil added a subscriber: Qgil.Mar 7 2015, 1:21 PM

Considering that now workboards are the default landing page for projects, how often do you land in a project info page ready to file a new task versus a workboard page?

@Qgil I will generally visit the project page when creating a (for me) first task against a project, because that's the page with enough detail — the description and the members — that lets me confirm that it is in fact the right project for the issue.

If it's a project I'm already familiar with, then the workboard might be a more likely starting point for a new task.

From a newcomer usability perspective, I also think that the workboard path is not all that discoverable, and coming from Bugzilla, it's not the place I would expect to look for a 'create task' link. (I didn't realize it was there until yesterday, when ^d pointed it out to me on irc.)

Hmm. I'm worried about some users assuming this will set some sort of pre-defined policy....

TheDJ added a subscriber: TheDJ.May 10 2015, 3:34 PM

I've even been slightly annoyed by the default of the work board whenever i click a label these days. If i'm going to a project, I expect information about a project, not it's backlog (I would have pressed 'backlog' in that case).

An alternative to putting a button on the project to create a ticket, might be to have the + create a task auto populate the project field with the project from which I navigated.

+1 from me as well, for what it's worth.

mmodell closed this task as Resolved.Feb 18 2016, 4:09 AM
mmodell claimed this task.
mmodell added a subscriber: mmodell.

it's now possible to add custom links to projects and they can link to custom forms, see customizing menus prefilling forms

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 23 2016, 6:02 PM